<?php

namespace Treewec\Exceptions;

/**
 * Test class for FileSystemException.
 * Generated by PHPUnit on 2012-03-25 at 16:42:15.
 * @group exception
 */
class FileSystemExceptionTest extends \PHPUnit_Framework_TestCase {

    private $exceptionHelper;
    private $class;
    private $callback;
    
    protected function setUp() {
        $this->class = '\Treewec\Exceptions\FileSystemException';
        $this->callback = array($this->class);
        $this->exceptionHelper = new \Treewec\ExceptionHelper();
    }
    
    public function testThrowsNonreadablePath() {
        $this->assertException('throwsNonreadablePath');
    }

    public function testThrowsInvalidFile() {
        $this->assertException('throwsInvalidFile');
    }

    public function testThrowsInvalidDirectory() {
        $this->assertException('throwsInvalidDirectory');
    }

    private function assertException($method) {
        $this->callback[] = $method;
        $this->exceptionHelper->catchExceptionInCallback($this->class, $this->callback);
    }
}

?>